<?php
/////////////////////////////////////////////////////////////////
/// getID3() by James Heinrich <info@getid3.org>			   //
//  available at http://getid3.sourceforge.net                ///
//            or http://www.getid3.org                        ///
/////////////////////////////////////////////////////////////////
//                                                             //
// getid3.mimeonly.php - part of getID3()                      //
// Sample script for scanning a single file and returning only //
// the MIME information                                        //
// See getid3.readme.txt for more details                      //
//                                                             //
/////////////////////////////////////////////////////////////////

echo '<HTML><HEAD><STYLE>BODY, TD, TH { font-family: sans-serif; font-size: 10pt; }</STYLE></HEAD><BODY>';

if (!empty($_REQUEST['filename'])) {

	echo 'The file "'.$_REQUEST['filename'].'" has a MIME type of "'.GetMIMEtype($_REQUEST['filename']).'"';

} else {

	echo 'Usage: <TT>'.$_SERVER['PHP_SELF'].'?filename=<I>filename.ext</I></TT>';

}


function GetMIMEtype($filename) {
   // include getID3() library (can be in a different directory if full path is specified)
   require_once('getid3.php');

   $DeterminedMIMEtype = '';
   if ($fp = fopen($filename, 'rb')) {
      $ThisFileInfo = array();
      InitializeFilepointerArray($filename, $fp, $ThisFileInfo);

      HandleID3v2Tag($fp, $ThisFileInfo);

      rewind($fp);
      $formattest = fread($fp, 16);  // 16 bytes is sufficient for any format except ISO CD-image
      fclose($fp);

      $DeterminedFormat = GetFileFormat($formattest);
      $DeterminedMIMEtype = $DeterminedFormat['mimetype'];
   }
   return $DeterminedMIMEtype;
}


?>
</BODY>
</HTML>